Subject: Re: [netatalk-admins] Problem w. Netatalk in a Ethershare Environment

From: Fuldaer Verlagsanstalt <[email-masked]>
Date: Thu, 04 Sep 1997 17:27:36 -0700

Many thanks for the help....
I tried with only "eth0" and gave atalkd a usr1-signal.
Here´s the debug-file:
interface lo 0.0 2AC
	0-0 xi
interface eth0 404.154 2ACL
	400-410 zxi 'Satz'
gate 400.140 1
	400-410 x
	20001-40000 zxi 'Belichter'
	40001-65279 zxi 'Repro'
The atalk.conf then looked:
eth0 -phase 2 -net 400-410 -addr 404.154 -zone "Satz"
The Messages of /var/log/messages looked:
Aug 29 16:43:53 gr-router atalkd[206]: restart (1.4b2)
Aug 29 16:43:54 gr-router atalkd[206]: zip_getnetinfo for eth1
Aug 29 16:44:13 gr-router last message repeated 2 times
Aug 29 16:44:23 gr-router atalkd[206]: as_timer configured eth1 phase 2
from seed
Aug 29 16:44:24 gr-router atalkd[206]: zip_getnetinfo for eth2
Aug 29 16:44:33 gr-router last message repeated 2 times
Aug 29 16:44:43 gr-router atalkd[206]: as_timer configured eth2 phase 2
from seed
Aug 29 16:44:44 gr-router atalkd[206]: zip_getnetinfo for eth0
Aug 29 16:44:44 gr-router atalkd[206]: zip_getnetinfo for eth0
Aug 29 16:44:44 gr-router atalkd[206]: rtmp_packet interface mismatch
Aug 29 16:44:44 gr-router atalkd[206]: zip gnireply from 400.140 (eth0
1a)
Aug 29 16:44:44 gr-router atalkd[206]: zip_packet configured eth0 from
400.140
Aug 29 16:44:44 gr-router atalkd[206]: zip gnireply from 400.140 (eth0
ba)
Aug 29 16:44:44 gr-router atalkd[206]: zip ignoring gnireply
Aug 29 16:44:53 gr-router atalkd[206]: rtmp_packet gateway 400.140 up
And from now on it took 18 Minutes until the prompt. Thats not normal?
The Clients in the other net could work with the Linux from now on.
Even printing goes well (fantastic! A non-Postscript-Laser reachable
from
any Client by the LW8-Driver which could ONLY print Postscript!)
But sad, really sad, i restarted Linux and when i fired up Netatalk
it said A-Talk not Up, Child exited with 1, and the messages told me
why:
"bind 404.154:6: Adress already in use"
So who takes care of this specific Adress?

Now I wanted to know: I added only eth1 and eth2 without para´s and
changed the eth0-Adress, because two more times the adress was in use
(?)
I never could start Atalk again. I switched off all Clients (Macs) and
tried several times with an Number that is NOT in use.
Everytime "bind" says Adress already in use.

Michael asked for a Net-Map, here it is. 
  I     I     +------------------le0    le1--------------le1    le0-----
  I     I     I                      I                       I
 eth2  eth1  eth0                    I                       I
 
    Linux                          Sun 1                   Sun 2
 
atalk.conf at Sun1: atalkd: if="le0:400-410:140:Satz",
if="le1:20001-40000:140:Belichter"
atalk.conf at Sun2: atalkd: if="le0:40001-65279:140:Repro",
if="le1:200001-40000:140:Belichter"
Actual I had thrown away the big numbers from "Satz", which had been 
"1-20000" like the Ethershare
documentation thought of to be the right thing because we have to
stretch over the "whole" 
Net-adresse´s that could ever be possible!(?).

Any thought´s? 
Thanks 
 OLAF
-------------CUT---------------
FVA-Fuldaer Verlagsanstalt GmbH
      Rangstrasse 3-7
       D-36037 Fulda
          GERMANY
    E-Mail [email-masked]
-------------EOT---------------